# Compléter par Chloé le 10/01/2023 ------------------------------------------

class AdresseIP:
    def __init__(self, adresse):
        self.adresse = adresse
   
    def liste_octet(self):
        """ renvoie une liste de nombres entiers,
            la liste des octets de l'adresse IP"""
        return [int(i) for i in self.adresse.split(".")] 
        
    def est_reservee(self):
        """renvoie True si l'adresse IP est une adresse
           réservée, False sinon"""
        return self.adresse == "192.168.0.0" or self.adresse == "192.168.0.255"
             
    def adresse_suivante(self):
        """renvoie un objet de AdresseIP avec l'adresse IP
           qui suit l’adresse self si elle existe et False sinon"""
        if self.liste_octet()[3] < 254:
            octet = self.liste_octet()[3] + 1
            return AdresseIP('192.168.0.' + str(octet))
        else:
            return False

adresse1 = AdresseIP('192.168.0.1')
adresse2 = AdresseIP('192.168.0.2')
adresse3 = AdresseIP('192.168.0.0')
adresse4 = AdresseIP('192.168.0.254')

print(adresse1.est_reservee())
print(adresse2.est_reservee())
print(adresse3.est_reservee())
print(adresse4.est_reservee())
print(f"l'adresse qui suit l'adresse 2 est la suivante : {adresse2.adresse_suivante().adresse}")
